<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Committee >> Add Committee Member' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Add Committee Member' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'Add a new Committee Member' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="addCommitteeMember()" method="post">

        <ion-item>
        <ion-label>{{ 'Select Resident' | translate }}</ion-label>
        <ionic-selectable #selectComponent formControlName="resident" [items]="residentCache?.objects"
          itemValueField="id" itemTextField="flatNo" itemTextField="phone" itemTextField="name" [isMultiple]="false"
          headerColor="primary" [canSearch]="true" (onSearch)="onSearch($event)"
          [shouldBackdropClose]="true" name="resident" (onOpen)="onOpen()" (onClose)="onClose()">

          <ng-template ionicSelectableCloseButtonTemplate>
            <ion-icon name="close-circle"></ion-icon>
          </ng-template>

          <ng-template ionicSelectableTitleTemplate>
            {{ 'Select Resident' | translate }}
          </ng-template>

          <ng-template ionicSelectableItemTemplate let-resident="item">
            <ion-avatar class="profile">
              <img src="{{resident.profilePicture.content}}" />
            </ion-avatar>
            {{ 'Id' | translate }}: {{ resident.id }} - {{ 'Name' | translate }}: {{ resident.name }}
          </ng-template>

          <ng-template ionicSelectableFooterTemplate>
            <ion-footer>
              <ion-toolbar>
                <ion-row text-center>
                  <ion-col>
                    <ion-button fill="clear" (click)="clear()">{{ 'Cancel' | translate }}</ion-button>
                  </ion-col>
                  <ion-col>
                    <ion-button fill="clear" (click)="confirm()">{{ 'Confirm' | translate }}</ion-button>
                  </ion-col>
                </ion-row>
              </ion-toolbar>
            </ion-footer>
          </ng-template>
        </ionic-selectable>
        </ion-item>

        <ion-item>
          <ion-label position="floating">{{ 'Role' | translate }}</ion-label>
          <ion-input formControlName="role" type="text" name="role"></ion-input>
        </ion-item>

        <div style="color: red;" *ngIf="form.get('role').hasError('required') && form.get('role').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{ 'Add Committee Member' | translate }}
        </ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>